Конечная точка API:
https://short.lionsurf.net/api/v1/domains
Request example:
curl --location --request GET 'https://short.lionsurf.net/api/v1/domains' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_byname for Имя. Defaults to: name.sort_byid for Date created, name for Имя. Defaults to: id.sortdesc for Нисходящий, asc for Восходящий. Defaults to: desc.per_page10, 25, 50, 100. Defaults to: 10.Конечная точка API:
https://short.lionsurf.net/api/v1/domains/{id}
Request example:
curl --location --request GET 'https://short.lionsurf.net/api/v1/domains/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Конечная точка API:
https://short.lionsurf.net/api/v1/domains
Request example:
curl --location --request POST 'https://short.lionsurf.net/api/v1/domains' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}'
nameindex_pagenot_found_pageКонечная точка API:
https://short.lionsurf.net/api/v1/domains/{id}
Request example:
curl --location --request PUT 'https://short.lionsurf.net/api/v1/domains/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
index_pagenot_found_pageКонечная точка API:
https://short.lionsurf.net/api/v1/domains/{id}
Request example:
curl --location --request DELETE 'https://short.lionsurf.net/api/v1/domains/{id}' \ --header 'Authorization: Bearer {api_key}'